<!DOCTYPE html>
<html lang='en'>
<head>
    <title>Auction Calendar</title>
    <meta charset='utf-8'/>
    <meta name="viewport"
          content="width=device-width, initial-scale=1.0, minimum-scale=1.0, maximum-scale=1.0, user-scalable=no">
    <link href="css/style.css" rel="stylesheet">

    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta1/dist/css/bootstrap.min.css" rel="stylesheet"
          integrity="sha384-giJF6kkoqNQ00vy+HMDP7azOuL0xtbfIcaT9wjKHr8RbDVddVHyTfAAsrekwKmP1" crossorigin="anonymous">

    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta1/dist/js/bootstrap.bundle.min.js"
            integrity="sha384-ygbV9kiqUc6oa4msXn9868pTtWMgiQaeYH7/t7LECLbyPA2x65Kgf80OJFdroafW"
            crossorigin="anonymous"></script>

    <link href="https://fonts.googleapis.com" rel="preconnect">
    <link crossorigin href="https://fonts.gstatic.com" rel="preconnect">
    <link href="https://fonts.googleapis.com/css2?family=Ubuntu:wght@300&display=swap" rel="stylesheet">

    <script src='https://cdn.jsdelivr.net/npm/fullcalendar@6.1.5/index.global.min.js'></script>


</head>
<body>
<div class="text-center">
    <h1 class="title">Auction calendar</h1>
</div>

<div class="container-fluid">
    <div class="row">
        <div class="" id='calendar-container'>
            <div class="col-sm-12 col-md-12 fc fc-bootstrap3 fc-ltr" id='calendar'></div>
        </div>
    </div>
</div>

<div class="">
    <div class="d-none" id="bg-eventForm">

        <div class="eventContainer horizontal-center border border-dark">
            <div class="" id="event">
                <form class="col" id="eventForm" method="post"></form>

                <div class="text-center mt-3 mb-3">
                    <button class="btn btn-success border border-dark fs-4" id="formBtn">submit</button>
                    <button class="btn btn-danger border border-dark fs-4" id="closeEvent">X</button>
                </div>

                <div class="text-center">
                    <div id="removeEvent"></div>
                </div>

                <div class="carousel slide d-none" data-bs-interval="false" id="panel">
                    <div class="" id="viewAllActivity"></div>
                    <button class="carousel-control-prev carousel-btn" data-bs-slide="prev" data-bs-target="#panel"
                            
                            type="button">
                        <span aria-hidden="true" class="carousel-control-prev-icon "></span>
                        <span class="visually-hidden">Previous</span>
                    </button>
                    <button class="carousel-control-next carousel-btn" data-bs-slide="next" data-bs-target="#panel"
                            
                            type="button">
                        <span aria-hidden="true" class="carousel-control-next-icon "></span>
                        <span class="visually-hidden">Next</span>
                    </button>

                </div>
            </div>

            <div id="activity">
                <div class="text-center " id="activityRow">
                    <div class="carousel slide mb-2 collapse" data-bs-interval="false" id="showProduct">
                        <div class="carousel-inner" id="showProductRow"></div>

                        <button class="carousel-control-prev carousel-btn" data-bs-slide="prev"
                                data-bs-target="#showProduct" id="productPrev"
                                type="button">
                            <span aria-hidden="true" class="carousel-control-prev-icon"></span>
                            <span class="visually-hidden">Previous</span>
                        </button>
                        <button class="carousel-control-next carousel-btn" data-bs-slide="next"
                                data-bs-target="#showProduct" id="productNext"
                                type="button">
                            <span aria-hidden="true" class="carousel-control-next-icon"></span>
                            <span class="visually-hidden">Next</span>
                        </button>
                    </div>
                    <div class="carousel slide mb-2 collapse" id="showGuest">
                        <div class="carousel-inner" id="showGuestRow"></div>

                        <button class="carousel-control-prev carousel-btn" data-bs-slide="prev"
                                data-bs-target="#showGuest" id="guestPrev"
                                type="button">
                            <span aria-hidden="true" class="carousel-control-prev-icon"></span>
                            <span class="visually-hidden">Previous</span>
                        </button>
                        <button class="carousel-control-next carousel-btn" data-bs-slide="next"
                                data-bs-target="#showGuest" id="guestNext"
                                type="button">
                            <span aria-hidden="true" class="carousel-control-next-icon"></span>
                            <span class="visually-hidden">Next</span>
                        </button>
                    </div>
                    <div class="carousel slide mb-2 collapse" data-bs-interval="false" id="showExhibitor">
                        <div class="carousel-inner" id="showExhibitorRow"></div>
                        <button class="carousel-control-prev carousel-btn" data-bs-slide="prev"
                                data-bs-target="#showExhibitor" id="exhibitorPrev"
                                type="button">
                            <span aria-hidden="true" class="carousel-control-prev-icon"></span>
                            <span class="visually-hidden">Previous</span>
                        </button>
                        <button class="carousel-control-next carousel-btn" data-bs-slide="next"
                                data-bs-target="#showExhibitor" id="exhibitorNext"
                                type="button">
                            <span aria-hidden="true" class="carousel-control-next-icon"></span>
                            <span class="visually-hidden">Next</span>
                        </button>
                    </div>
                </div>
            </div>

            <div id="accordion">
                <div class="accordion-collapse collapse" data-bs-parent="#accordion" id="ProductPanel">
                    <div class="accordion-body">
                        <div class="row">
                            <div class="col">
                                <div class="col-md-12 col-sm-6 text-center input-group mb-1">
                                    <label class="input-group-text same-width fs-3" for="productName">Name</label>
                                    <input class="form-control fs-3" id="productName" name="productName" required=""
                                           type="text">
                                </div>
                                <div class="col-md-12 col-sm-6 text-center input-group mb-1">
                                    <label class="input-group-text same-width fs-3" for="productColor">Color</label>
                                    <input class="form-control fs-3" id="productColor" name="productColor" required=""
                                           type="text">
                                </div>
                                <div class="col-md-12 col-sm-6 text-center input-group mb-1">
                                    <label class="input-group-text same-width fs-3"
                                           for="productDimensions">Dimensions</label>
                                    <input class="form-control fs-3" id="productDimensions" name="productDimensions"
                                           required=""
                                           type="text">
                                </div>
                                <div class="col-md-12 col-sm-6 text-center input-group mb-1">
                                    <label class="input-group-text same-width fs-3" for="productCost">Cost</label>
                                    <input class="form-control fs-3" id="productCost" name="productCost" required=""
                                           type="text">
                                </div>
                                <div class="col-md-12 col-sm-6 text-center input-group mb-1">
                                    <label class="input-group-text same-width fs-3" for="productScope">Scope</label>
                                    <input class="form-control fs-3" id="productScope" name="productScope" required=""
                                           type="text">
                                </div>
                                <div class="col-md-12 col-sm-6 text-center input-group mb-1">
                                    <label class="input-group-text same-width fs-3"
                                           for="productCategory">category</label>
                                    <input class="form-control fs-3" id="productCategory" name="productCategory"
                                           required=""
                                           type="text">
                                </div>
                                <div class="text-center">
                                    <button class="mt-1 btn btn-success fs-3" id="product" onclick="createProduct()">
                                        Create
                                        Product
                                    </button>
                                </div>

                            </div>
                        </div>
                    </div>
                </div>

                <div class="accordion-collapse collapse" data-bs-parent="#accordion" id="GuestPanel">
                    <div class="accordion-body">
                        <div class="row">
                            <div class="col">
                                <div class="col-md-12 col-sm-6 text-center input-group mb-1">
                                    <label class="input-group-text same-width fs-3" for="guestName">Name</label>
                                    <input class="form-control fs-3" id="guestName" name="guestName" required=""
                                           type="text">
                                </div>
                                <div class="col-md-12 col-sm-6 text-center input-group mb-1">
                                    <label class="input-group-text same-width fs-3" for="guestSurname">Surname</label>
                                    <input class="form-control fs-3" id="guestSurname" name="guestSurname" required=""
                                           type="text">
                                </div>
                                <div class="text-center">
                                    <button class="mt-1 btn btn-success fs-3" id="guest" onclick="createGuest()">Create
                                        Guest
                                    </button>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>

                <div class="accordion-collapse collapse" data-bs-parent="#accordion"
                     id="ExhibitorPanel">
                    <div class="accordion-body">
                        <div class="row">
                            <div class="col">
                                <div class="col-md-12 col-sm-6 text-center input-group mb-1">
                                    <label class="input-group-text same-width fs-3" for="exhibitorName">Name</label>
                                    <input class="form-control fs-3" id="exhibitorName" name="exhibitorName" required=""
                                           type="text">
                                </div>
                                <div class="col-md-12 col-sm-6 text-center input-group mb-1">
                                    <label class="input-group-text same-width fs-3"
                                           for="exhibitorSurname">Surname</label>
                                    <input class="form-control fs-3" id="exhibitorSurname" name="exhibitorSurname"
                                           required=""
                                           type="text">
                                </div>
                                <div class="text-center">
                                    <button class="mt-1 btn btn-success fs-3" id="exhibitor"
                                        onclick="createExhibitor()"> Create Exhibitor
                                    </button>
                                </div>

                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

<script src="js/script.js"></script>
</body>
</html>